# Created by pyp2rpm-3.3.2
%global pypi_name bashate

%define with_docs 0

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %mkrel 3
Summary:        A pep8 equivalent for bash scripts
Group:          Development/Python
License:        ASL 2.0
URL:            http://docs.openstack.org/developer/bashate/
Source0:        https://pypi.io/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python3)
BuildConflicts: python3dist(babel) = 2.4.0
BuildConflicts: python3dist(pbr) = 2.1.0
BuildConflicts: python3dist(reno) = 2.3.1

BuildRequires:  python3dist(babel)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(discover)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(hacking)
BuildRequires:  python3dist(mock)
%if %with_docs
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(sphinx)
%endif
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(python-subunit)
BuildRequires:  python3dist(reno)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(testrepository)
BuildRequires:  python3dist(testscenarios)
BuildRequires:  python3dist(testtools)

%description
A pep8 equivalent for bash scriptsThis program attempts to be an automated
style checker for bash scripts to fill the same part of code review that pep8
does in most OpenStack projects. It started from humble beginnings in the
DevStack project, and will continue to evolve over time.The output format aims
to follow pycodestyle (pep8) default output format < - Free software: Apache
license -...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Conflicts:      python3dist(babel) = 2.4.0
Conflicts:      python3dist(pbr) = 2.1.0
Requires:       python3dist(babel)
Requires:       python3dist(pbr)
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A pep8 equivalent for bash scriptsThis program attempts to be an automated
style checker for bash scripts to fill the same part of code review that pep8
does in most OpenStack projects. It started from humble beginnings in the
DevStack project, and will continue to evolve over time.The output format aims
to follow pycodestyle (pep8) default output format < - Free software: Apache
license -...

%package -n python-%{pypi_name}-doc
Summary:        bashate documentation
%description -n python-%{pypi_name}-doc
Documentation for bashate

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
%if %with_docs
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc doc/source/readme.rst README.rst
%{_bindir}/bashate
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if %with_docs
%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
%endif



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-3.mga8
+ Revision: 1535562
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.6.0-2.mga8
+ Revision: 1452160
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 kekepower <kekepower> 0.6.0-1.mga7
+ Revision: 1352621
- BR python2-enum34
- Disable docs for now
- imported package python-bashate

